curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"value": "<p>Template text</p>"
}
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}
Template
Create template
Create a new template using template value.
POST
/
api
/
template
curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"value": "<p>Template text</p>"
}
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}
Body parameters
Show child attribute
Show child attribute
Action type.
Key of the client.
ID of the user who create the template. If not specified, the default user credentials will be used.
Response
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"value": "<p>Template text</p>"
}
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}
⌘I